From: <a href="/blend/av.cgi?id=13">B.K.</a><BR>
Date: 19 May 2017<P>

I am just reading this on the run...Death in family last month brought out lots to write about but I was in too much pain to write it ..funny how that works.<BR>
<BR>
I love the ones that made me laugh and or made me think faster than ever before. I always knew that if the world was wobbly they would always get through it with laughter and a shred of dignity ha. Love is all there is folks and as Sonny and Cher so wisely sang<BR>
<BR>
And The Beat Goes On! (We Love You Too Kirk!)<BR>
<BR>
bk
<HR>